Subject: [bug#63325] [PATCH] gnu: vulkan-loader: Only run tests on x86.

From: Simon South <[email-masked]>
Date: Mon, 08 May 2023 10:54:34 -0400

Christopher Baines <[email-masked]> writes:
> * gnu/packages/vulkan.scm (vulkan-loader)[arguments]: Only run tests on x86.

Christopher,

Disabling tests altogether seems extreme considering the only truly
x86-dependent ones appear to be five of the "TryLoadWrongBinaries" tests
(only these fail on AArch64), and this can perhaps be fixed by modifying
tests/framework/data/CMakeLists.txt to recreate the prebuilt binaries
included in the source package.

At any rate, I'd appreciate a day or two to see if I can come up with a
more nuanced patch that preserves the test suite on at least AArch64.

-- 
Simon South
[email-masked]